# form_cursor 3x

    form_cursor(3x)                                   form_cursor(3x)

## NAME

           form_cursor - position a form window cursor

## SYNOPSIS

           #include <form.h>
           int pos_form_cursor(FORM *form);

## DESCRIPTION

           The  function  pos_form_cursor  restores the cursor to the
           position required for the forms driver  to  continue  pro-
           cessing  requests.   This  is useful after curses routines
           have been called to do screen-painting in  response  to  a
           form operation.

## RETURN VALUE

           This routine returns one of the following:

           E_OK The routine succeeded.

           E_SYSTEM_ERROR
                System error occurred (see errno).

           E_BAD_ARGUMENT
                Routine  detected  an incorrect or out-of-range argu-
                ment.

           E_NOT_POSTED
                The form has not been posted.

## SEE ALSO

           curses(3x), form(3x).

## NOTES

           The header file <form.h> automatically includes the header
           file <curses.h>.

## PORTABILITY

           These  routines  emulate the System V forms library.  They
           were not supported on Version 7 or BSD versions.

## AUTHORS

           Juergen Pfeifer.  Manual  pages  and  adaptation  for  new
           curses by Eric S. Raymond.

                                                      form_cursor(3x)